summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2015-12-11 02:53:09 +0000
committerhsbt <hsbt@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2015-12-11 02:53:09 +0000
commit0c5841bead6e7910ec27e2705849b100ace143e2 (patch)
treef00716fa1974a4efdc03845b8960800ed6b673e4
parent165e10b6cf73f723c2f6af676b70aeb2d8cf85c9 (diff)
* lib/rubygems: Update to RubyGems 2.5.1
* test/rubygems: ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53032 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
-rw-r--r--ChangeLog5
-rw-r--r--lib/rubygems.rb2
-rw-r--r--lib/rubygems/commands/list_command.rb2
-rw-r--r--lib/rubygems/version.rb2
-rw-r--r--test/rubygems/test_bundled_ca.rb4
5 files changed, 10 insertions, 5 deletions
diff --git a/ChangeLog b/ChangeLog
index f800dd7633d..ae42d3bf151 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Dec 11 11:52:39 2015 SHIBATA Hiroshi <hsbt@ruby-lang.org>
+
+ * lib/rubygems: Update to RubyGems 2.5.1
+ * test/rubygems: ditto.
+
Fri Dec 11 11:38:14 2015 Nobuyoshi Nakada <nobu@ruby-lang.org>
* compile.c (iseq_compile_each, ibf_load_object_hash): rehash
diff --git a/lib/rubygems.rb b/lib/rubygems.rb
index 5ee82c23976..f0861b3533c 100644
--- a/lib/rubygems.rb
+++ b/lib/rubygems.rb
@@ -9,7 +9,7 @@ require 'rbconfig'
require 'thread'
module Gem
- VERSION = '2.5.0'
+ VERSION = '2.5.1'
end
# Must be first since it unloads the prelude from 1.9.2
diff --git a/lib/rubygems/commands/list_command.rb b/lib/rubygems/commands/list_command.rb
index 1842aaacca5..6aa00d30b8d 100644
--- a/lib/rubygems/commands/list_command.rb
+++ b/lib/rubygems/commands/list_command.rb
@@ -3,7 +3,7 @@ require 'rubygems/commands/query_command'
##
# An alternate to Gem::Commands::QueryCommand that searches for gems starting
-# with the the supplied argument.
+# with the supplied argument.
class Gem::Commands::ListCommand < Gem::Commands::QueryCommand
diff --git a/lib/rubygems/version.rb b/lib/rubygems/version.rb
index e2ee59a0c21..16e20c52464 100644
--- a/lib/rubygems/version.rb
+++ b/lib/rubygems/version.rb
@@ -107,7 +107,7 @@
# Client A needs a stack with basic push/pop capability. They write to the
# original interface (no <tt>top</tt>), so their version constraint looks like:
#
-# gem 'stack', '~> 0.0'
+# gem 'stack', '>= 0.0'
#
# Essentially, any version is OK with Client A. An incompatible change to
# the library will cause them grief, but they are willing to take the chance
diff --git a/test/rubygems/test_bundled_ca.rb b/test/rubygems/test_bundled_ca.rb
index 711cd1b8f23..9b2b978af16 100644
--- a/test/rubygems/test_bundled_ca.rb
+++ b/test/rubygems/test_bundled_ca.rb
@@ -52,8 +52,8 @@ class TestBundledCA < Gem::TestCase
assert_https('d2chzxaqi4y7f8.cloudfront.net')
end
- def test_accessing_s3
- assert_https('s3.amazonaws.com')
+ def test_accessing_fastly
+ assert_https('rubygems.global.ssl.fastly.net')
end
end if ENV['TRAVIS']